OBInternalCoord Class Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes
OBInternalCoord Class Reference

`#include <openbabel/internalcoord.h>`

List of all members.

## Public Member Functions
| OBInternalCoord (OBAtom *a=NULL, OBAtom *b=NULL, OBAtom *c=NULL, double dst=0.0, double ang=0.0, double tor=0.0)
## Public Attributes
OBAtom * | _a
OBAtom * | _b
OBAtom * | _c
double | _dst
double | _ang
double | _tor

## Detailed Description

Used to transform from z-matrix to cartesian coordinates.

Used with OpenBabel::InternalToCartesian and OpenBabel::CartesianToInternal methods. Does not perform any actions itself. You must create or free OBAtom pointers yourself.

The z-matrix representation uses coordinates relative to up to three atoms, which need not be bonded in any fashion. A rough sketch of the a, b, and c atoms would be:

              '*'
             /
            /
           a----b
               /
              /
             c

where the OBInternalCoord record reflects the '*' atom.

Warning:
  Does not detect if NULL pointers are used. You should be careful.

## Constructor & Destructor Documentation

OBInternalCoord | ( | OBAtom * | a = `NULL`,
|  | OBAtom * | b = `NULL`,
|  | OBAtom * | c = `NULL`,
|  | double | dst = `0.0`,
|  | double | ang = `0.0`,
|  | double | tor = `0.0`
| ) |  | `[inline]`

Constructor.

## Member Data Documentation

OBAtom* _a

First connection for this atom (i.e., distance)

OBAtom* _b

Second reference atom (i.e., angle)

OBAtom* _c

Third reference atom (i.e., dihedral / torsion angle)

double _dst

Distance between this atom and _a.

double _ang

Angle between this, _a, and _b (i.e., _a is the vertex)

double _tor

Torsional/dihedral angle between this, _a, _b, and _c.

The documentation for this class was generated from the following file:

- internalcoord.h

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines